Update a billing group
PATCH
/
billing_groups
/
{id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const billingGroup = await client.billingGroups.update('f5586561-8ff0-4291-a0ac-84fe544797bd', {
name: 'string',
});
console.log(billingGroup.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
billing_group = client.billing_groups.update(
id="f5586561-8ff0-4291-a0ac-84fe544797bd",
name="string",
)
print(billing_group.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
billingGroup, err := client.BillingGroups.Update(
context.TODO(),
"f5586561-8ff0-4291-a0ac-84fe544797bd",
telnyx.BillingGroupUpdateParams{
Name: telnyx.String("string"),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", billingGroup.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.billinggroups.BillingGroupUpdateParams;
import com.telnyx.sdk.models.billinggroups.BillingGroupUpdateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
BillingGroupUpdateResponse billingGroup = client.billingGroups().update("f5586561-8ff0-4291-a0ac-84fe544797bd");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
billing_group = telnyx.billing_groups.update("f5586561-8ff0-4291-a0ac-84fe544797bd")
puts(billing_group)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$billingGroup = $client->billingGroups->update(
'f5586561-8ff0-4291-a0ac-84fe544797bd', name: 'string'
);
var_dump($billingGroup);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx billing-groups update \
--api-key 'My API Key' \
--id f5586561-8ff0-4291-a0ac-84fe544797bdcurl --request PATCH \
--url https://api.telnyx.com/v2/billing_groups/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "string"
}
'{
"data": {
"record_type": "billing_group",
"id": "f5586561-8ff0-4291-a0ac-84fe544797bd",
"organization_id": "f1486bae-f067-460c-ad43-73a92848f902",
"name": "My billing group name",
"created_at": "2019-10-15T10:07:15.527Z",
"updated_at": "2019-10-15T10:07:15.527Z",
"deleted_at": null
}
}{
"errors": [
{
"code": 123,
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"code": 123,
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"code": 123,
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the billing group
Body
application/json
A name for the billing group
Response
Expected billing group response to a valid request
Show child attributes
Show child attributes
Example:
{
"record_type": "billing_group",
"id": "f5586561-8ff0-4291-a0ac-84fe544797bd",
"organization_id": "f1486bae-f067-460c-ad43-73a92848f902",
"name": "My billing group name",
"created_at": "2019-10-15T10:07:15.527Z",
"updated_at": "2019-10-15T10:07:15.527Z",
"deleted_at": null
}Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const billingGroup = await client.billingGroups.update('f5586561-8ff0-4291-a0ac-84fe544797bd', {
name: 'string',
});
console.log(billingGroup.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
billing_group = client.billing_groups.update(
id="f5586561-8ff0-4291-a0ac-84fe544797bd",
name="string",
)
print(billing_group.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
billingGroup, err := client.BillingGroups.Update(
context.TODO(),
"f5586561-8ff0-4291-a0ac-84fe544797bd",
telnyx.BillingGroupUpdateParams{
Name: telnyx.String("string"),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", billingGroup.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.billinggroups.BillingGroupUpdateParams;
import com.telnyx.sdk.models.billinggroups.BillingGroupUpdateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
BillingGroupUpdateResponse billingGroup = client.billingGroups().update("f5586561-8ff0-4291-a0ac-84fe544797bd");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
billing_group = telnyx.billing_groups.update("f5586561-8ff0-4291-a0ac-84fe544797bd")
puts(billing_group)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$billingGroup = $client->billingGroups->update(
'f5586561-8ff0-4291-a0ac-84fe544797bd', name: 'string'
);
var_dump($billingGroup);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx billing-groups update \
--api-key 'My API Key' \
--id f5586561-8ff0-4291-a0ac-84fe544797bdcurl --request PATCH \
--url https://api.telnyx.com/v2/billing_groups/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "string"
}
'{
"data": {
"record_type": "billing_group",
"id": "f5586561-8ff0-4291-a0ac-84fe544797bd",
"organization_id": "f1486bae-f067-460c-ad43-73a92848f902",
"name": "My billing group name",
"created_at": "2019-10-15T10:07:15.527Z",
"updated_at": "2019-10-15T10:07:15.527Z",
"deleted_at": null
}
}{
"errors": [
{
"code": 123,
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"code": 123,
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"code": 123,
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}